package de.renew.formalism.fs;

import de.renew.formalism.java.*;
import de.renew.simulator.*;
import de.renew.expression.Expression;
import de.renew.expression.ConstantExpression;
import de.renew.shadow.*;
import de.renew.util.Types;
import de.renew.util.Value;

public class FSArcFactory extends SimpleArcFactory {

  public FSArcFactory(int arcType, boolean allowTime) {
    super(arcType,allowTime);
  }

  protected Arc getArc(Place place, int arcType,
  		       Expression expr, Expression timeExpr) {
    return new FSArc(place,arcType,expr,timeExpr);
  }
}
