package de.renew.formalism.fsnet;

import de.renew.unify.Impossible;
import de.renew.util.Value;
import de.renew.function.Function;
import de.uni_hamburg.fs.FeatureStructure;

public class CanInstantiateFunction implements Function {

  public static final CanInstantiateFunction INSTANCE
      =new CanInstantiateFunction();

  private CanInstantiateFunction() { }

  public Object function(Object param) throws Impossible {
    boolean canInstantiate;
    if (param instanceof FeatureStructure) {
      canInstantiate=((FeatureStructure)param).canInstantiate();
    } else {
      canInstantiate=true;
    }
    //System.out.println("can instantiate "+param+": "+canInstantiate);
    return new Value(new Boolean(canInstantiate));
  }
}
