/*
 * @(#)LayoutCommand.java 5.1
 *
 */

package de.renew.gui;

import CH.ifa.draw.util.Command;
import CH.ifa.draw.framework.*;
import CH.ifa.draw.standard.*;

/**
 * Command to start/stop animating a drawing.
 */
public class LayoutCommand extends Command {

    protected LayoutFrame fFrame;

   /**
    * Constructs an animate command.
    * @param name the command name
    * @param editor the target editor
    */
    public LayoutCommand(String name, DrawingEditor editor) {
        super(name);

	fFrame = new LayoutFrame(editor);
    }

    public void execute() {
      fFrame.startAnimation();
    }

}
