package de.renew.gui;

import java.awt.*;
import java.util.*;
import CH.ifa.draw.figures.*;
import CH.ifa.draw.framework.*;
import CH.ifa.draw.standard.*;
import de.renew.simulator.*;

public class MultipleTokenFigure extends HorizontalCompositeFigure {

    //   final Object token;
    //   private boolean expanded=true;

   public static String getMultString(int mult, boolean isTested)
   {
     StringBuffer output = new StringBuffer();

     if (isTested) {
       if (mult>0) {
	 output.append(String.valueOf(mult));
       }
       output.append("(1)");
     } else if (mult>1) {
       output.append(String.valueOf(mult));
     }
     if (isTested || mult>1) {
       output.append("'");
     }
     
     return output.toString();
   }

   public MultipleTokenFigure(RenewMode mode, int mult, boolean isTested,
			      double time, Object token, boolean expanded) {
      // this.token = token;
      String multStr=getMultString(mult,isTested);
      if (multStr.length()>0)
	  add(new TextFigure(multStr, true));
      Figure tokenFig=mode.getTokenFigure(token,expanded);
      add(tokenFig);
      if (token instanceof NetInstance) {
	addClickHandle(new NetInstanceHandle(tokenFig,null,
					     (NetInstance)token));
      }
      if (time!=0) {
        add(new TextFigure("@"+time, true));
      }
      layout();
   }

    /**
     * Finds a top level Figure. Use this call for hit detection that
     * should not descend into the figure's children.
     */
    public Figure findFigure(int x, int y) {
	return null; // don't show your inside!
    }

/*
   public boolean inspect(DrawingView view, boolean alternate) {
     if (alternate) {
       toggleExpanded();
       return true;
     } else {
        return super.inspect(view,alternate);
     }

   }

   public void toggleExpanded() {
      expanded=!expanded;
      layout();
   }
*/
}

