package de.renew.gui;

import CH.ifa.draw.framework.Figure;
import de.renew.formalism.java.ParsedDeclarationNode;
import de.renew.shadow.SyntaxException;

public interface SemanticUpdateFigure extends Figure {

  /** This method is called by the CPNTextTool after endEdit() and
   * setText() and gives SemanticUpdateFigures the opportunity to update
   * their semantics with the information of the Declaration Node.
   */
  public void semanticUpdate(ParsedDeclarationNode declNode)
              throws SyntaxException;

}
