package de.renew.simulator;

import collections.*;
import de.renew.event.*;

public class FiringCompleteExecutable implements LateExecutable {
  private FiringEvent event;

  FiringCompleteExecutable(FiringEvent event) {
    this.event=event;
  }

  public int phase() { 
    return END;
  }

  public boolean isLong() {
    return false;
  }

  public void execute(Tracer tracer) {
    event.getTransitionInstance().firingComplete(event);
  }
}
