package de.renew.simulator;

import collections.*;

class LockComparator implements Comparator {
  public int compare(Object fst, Object snd) {
    long fstPhase=((EarlyExecutable)fst).lockPriority();
    long sndPhase=((EarlyExecutable)snd).lockPriority();
    if (fstPhase<sndPhase) return -1;
    if (fstPhase>sndPhase) return 1;
    return 0;
  }
}
