package de.renew.simulator;

import de.renew.unify.Impossible;
import java.io.Serializable;

public interface NetInstance extends ChannelTarget, Serializable {
  public void earlyConfirmation();
  public void earlyConfirmationTrace(Tracer tracer);
  public void lateConfirmation(Tracer tracer);
  public void createConfirmation(Tracer tracer);

  public Object getInstance(Object netObject);
  public PlaceInstance getInstance(Place place);
  public TransitionInstance getInstance(Transition transition);

  public Net getNet();
  public String getID();
  public void setID(String id);
}

