package de.renew.simulator;

/**
 * I am the silent tracer. I never say anything.
 **/
public class SilentTracer implements Tracer {
  /**
   * An instance of me. Because I do not store any information,
   * there should be no need to create other instances of me.
   **/
  public static final Tracer INSTANCE=new SilentTracer();

  /**
   * Forget a trace message.
   *
   * @param message
   *   the message to be output
   **/
  public void trace(String message) {}

  /**
   * Forget that all trace messages have arrived.
   **/
  public void complete() {}
}
