package de.renew.formalism.fs;

import de.renew.simulator.*;
import de.renew.util.SingletonEnumeration;
import de.renew.expression.*;
import collections.*;

public class FSArc extends Arc {

  public FSArc(Place place, int arcType,
	     Expression tokenExpr, Expression timeExpr)
  {
  	super(place,arcType,tokenExpr,timeExpr);
  }

  public CollectionEnumeration makeOccurrences(VariableMapper mapper,
    NetInstance netInstance, Searcher searcher)
  {
    return new SingletonEnumeration(new FSArcOccurrence(this,
      mapper,netInstance));
  }
}

