package de.renew.formalism.fsnet;

import java.awt.*;
import java.awt.event.*;
import de.renew.call.SynchronisationRequest;
import de.renew.unify.Tuple;
import de.renew.simulator.NetInstance;
import de.renew.expression.*;
import de.renew.unify.Variable;
import de.renew.formalism.fs.FSNetCompiler;
import de.uni_hamburg.fs.*;

public class TextListenerFSNet extends EventListenerFSNet
                                 implements TextListener {

  public void textValueChanged(TextEvent event) {
    eventOccured(event);
  }

  public TextListenerFSNet() {
  }

  public TextListenerFSNet(NetInstance instance) {
    super(instance);
  }

  public TextListenerFSNet(NetInstance instance, TextComponent component) {
    this(instance);
    setComponent(component);
  }

  public void setComponent(Object comp) {
    if (myComponent instanceof TextComponent) {
      // remove old listener:
      ((TextComponent)myComponent).removeTextListener(this);
    }
    myComponent=comp;
    if (myComponent instanceof TextComponent) {
      // add new listener:
      ((TextComponent)myComponent).addTextListener(this);
    }
  }

}
