package de.renew.formalism.java;

import collections.CollectionEnumeration;
import de.renew.simulator.*;
import de.renew.shadow.*;

public interface InscriptionParser {
  void setDeclarationNode(ParsedDeclarationNode decl);
  void setLookup(ShadowLookup lookup);

  ParsedDeclarationNode DeclarationNode()
    throws ParseException;
  CollectionEnumeration PlaceInscription() 
    throws ParseException;
  CollectionEnumeration ArcInscription() 
    throws ParseException;
  CollectionEnumeration TransitionInscription(boolean create) 
    throws ParseException;
  TypedExpression VariableInscription()
    throws ParseException;

  ChannelInscription tryParseChannelInscription()
    throws ParseException;
}
