package de.renew.simulator;

import collections.*;
import de.renew.unify.*;
import de.renew.util.Value;

public class InhibitorArcBinder extends ArcRemoveBinder {
    protected InhibitorArcBinder(Variable variable,
		       PlaceInstance placeInstance)
    {
	super(variable,placeInstance,null);
    }

    protected boolean mayBind() {
	return true;
    }
    protected boolean possible(Object token) {
	return !placeInstance.containsTestableToken(token);
    }
    protected boolean remove(Object token) {
	return possible(token);
    }

    protected void unremove(Object token) {
	// Nothing to do. No tokens are moved.
    }
}
