package de.renew.simulator;

import collections.*;
import de.renew.util.*;
import de.renew.unify.Unify;
import de.renew.expression.Expression;

public class RangeEnumeratorInscription extends EnumeratorInscription {
  private int first;
  private int last;

  public RangeEnumeratorInscription(Expression expr, int first, int last,
				    boolean checkBound)
  {
    super(expr,checkBound);
    this.first=first;
    this.last=last;
  }

  public CollectionEnumeration getCandidates(Object pattern) {
    return new RangeEnumeration(first,last);
  }
}
