package de.renew.simulator;

import de.renew.unify.Impossible;
import de.renew.expression.VariableMapper;
import java.io.Serializable;
import collections.CollectionEnumeration;

/**
 * I am the transition inscription interface.
 * I tag objects that want to be inscribed to a transition.
 *
 * @author Olaf Kummer
 **/
public interface TransitionInscription extends Serializable {
  public CollectionEnumeration makeOccurrences(VariableMapper mapper,
    NetInstance netInstance, Searcher searcher) throws Impossible;  
}
