package de.renew.unify;

import collections.*;

public class TupleEnumeration implements CollectionEnumeration {
  private Tuple tuple;
  private int index=0;

  public TupleEnumeration(Tuple tuple) {
      this.tuple=tuple;
  }

  public boolean hasMoreElements() {
    return index<tuple.getArity();
  }

  public Object nextElement() {
    return tuple.getComponent(index++);
  }

  public int numberOfRemainingElements() {
    return tuple.getArity()-index;
  }

  public boolean corrupted() {
      return false; // can we find out if tuple has been changed?
  }

}
