package de.renew.util;

import java.awt.*;
import java.awt.event.*;

public class ClosableFrame extends Frame
                           implements WindowListener {

  public ClosableFrame() {
    super();
    addWindowListener(this);
  }

  public ClosableFrame(String title) {
    super(title);
    addWindowListener(this);
  }

  public void windowOpened(final WindowEvent event) { }

  public void windowClosing(final WindowEvent event) {
    dispose();
  }

  public void windowClosed(final WindowEvent event) { }

  public void windowIconified(final WindowEvent event) { }

  public void windowDeiconified(final WindowEvent event) { }

  public void windowActivated(final WindowEvent event) { }

  public void windowDeactivated(final WindowEvent event) { }

}
